﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head><title>Delegation Scenario</title>
        <link href="../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Delegation Scenario</h1>
        <p>This section provides details about different scenarios of the behavior of SAV role functions when a delegation is created for&#160;is the allocating of the security role and transfer of&#160;responsibilities or tasks from one user to another user.</p>
        <div class="table-wrap">
            <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                <col style="width: 184.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 220.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 177.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 179.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">SAV Role Access of Delegatee User (Child User) before Delegation</th>
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">SAV role Access of Delegated User (Parent User)</th>
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Child User&#160;Access</th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Parent User Access</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">&#160;<strong>Whom To request </strong>as <strong>Self</strong></p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><strong>Advanced Config </strong>selected&#160;for&#160;<strong>Whom To request </strong></p>
                            <p class="table-text">Query: <span class="attr">select a from Users where </span><span href="http://a.id" class="attr" rel="nofollow">a.id</span><span class="attr">=2</span></p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">User can view user list that satisfies the advance config query in ARS i.e&#160;Self and direct reportee.</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">User can view user list that satisfies the advance config query in ARS</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><strong>Request History&#160;</strong>as <strong>Self</strong></p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><strong>Advanced Config </strong>selected&#160;for&#160;<strong>Request History</strong></p>
                            <p class="table-text">Query: <span class="attr">select a from Users where a.id =2</span></p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">User can view requests from the active users in the application&#160;matching the query.</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">User can view requests from the active users in the application&#160;matching the query.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><strong>Request History&#160;</strong>as <strong>Self</strong></p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><strong>Advanced Config </strong>selected&#160;for&#160;<strong>Request History</strong></p>
                            <p class="table-text">Query: &#160;<span class="attr">select a from Endpoints a where a.id&#160;='39'</span></p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">User can&#160;view requests from the active users in the application matching the query.</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">User can view requests from the active users in the application&#160;matching the query.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><strong>For whom can the role user approve the request</strong>&#160;as <strong>Self</strong></p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><strong>Advanced Config </strong>selected&#160;for&#160;<strong>For whom can the role user approve the request</strong></p>
                            <p class="table-text">Query: &#160;<span class="attr">select a from Users a where a.id=6</span></p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">User can view the requests submitted by<br /></p>
                            <ul>
                                <li>
                                    <p class="table-text">Self</p>
                                </li>
                                <li>
                                    <p class="table-text">Active users in the application matching the query.</p>
                                </li>
                            </ul>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">User can view requests from the active users in the application&#160;matching the query.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">&#160;<strong>Whom To request </strong>as <strong>Self</strong></p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><strong>Advanced Config </strong>selected&#160;for&#160;<strong>For whom can the user setup delegate</strong></p>
                            <p class="table-text">Query:&#160;<span class="attr">select a from Users a where a.manager = ${user?.id}</span></p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">
                                <br />
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Only Direct Reports should appear for setting up Delegate</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">&#160;<strong>Whom To request </strong>as <strong>Self</strong></p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><strong>Advanced Config </strong>selected&#160;for&#160;<strong>Whom To request</strong></p>
                            <p class="table-text">Query:&#160;<span class="attr">select a from Users a where a.id=5</span></p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">User can&#160;view requests from the active users in the application matching the query.</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">User can&#160;view requests from the active users in the application matching the query.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><strong>Whom to Request</strong> as <strong>One Level Down</strong></p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><strong>Whom to Request</strong> as <strong>All</strong></p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">User can&#160;view requests from all users.</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">User can&#160;view requests from all users.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><strong>Request History</strong> as <strong>Advanced config Endpoint</strong></p>
                            <p class="table-text">Query:&#160;<span class="attr">select a from Endpoints a where a.id=39</span></p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><strong>Request History</strong> as <strong>Not Allowed</strong></p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">User can view the requests created for selected endpoints only.</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">User can not view any request.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><strong>Request History</strong> as <strong>Not Allowed</strong></p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><strong>Advanced Config </strong>selected&#160;for <strong>Request History</strong></p>
                            <p class="table-text">Query:&#160;<span class="attr">select a from User a where a.id &lt; 6</span></p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">User can not view any request.</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">User can&#160;view requests from the active users in the application matching the query.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><strong>Whom To request </strong>as&#160;<strong>None</strong></p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><strong>Whom To request</strong> as <strong>Two Level Down the Hierarchy</strong></p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">User can&#160;view requests from all the 2 level down hierarchy users for Parent user and self.</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">User can&#160;view requests from all the 2 level down hierarchy users.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><strong>Request History</strong> as <strong>Self</strong></p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><strong>Request History</strong> as <strong>Advanced config user</strong></p>
                            <p class="table-text">Query:&#160;<span class="attr">select a from User a where a.id &lt; 6</span></p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">User can&#160;view requests from the active users in the application matching the query and self.</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">User can&#160;view requests from the active users in the application matching the query.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><strong>Request History</strong> as <strong>Advanced config Endpoint</strong></p>
                            <p class="table-text">Query:&#160;<span class="attr">select a from Endpoints a where a.id=39</span></p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><strong>Request History</strong> as <strong>One Level Down Hierarchy</strong></p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">User can&#160;view requests from the active users in the application matching the query.</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">User can&#160;view requests from direct reportees.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text"><strong>Whom To request</strong> as <strong>Two Level Down the Hierarchy</strong></p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text"><strong>Whom To request</strong> as <strong>Cannot Request</strong></p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">User can not view any user to request.</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyA-Column1-Body1">
                            <p class="table-text">User can not view any user to request.</p>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </body>
</html>